//copy this lua file and customise to add your own pets!!

//remember to freeslot your custom sprites!
freeslot(
//"SPR_EMBR",
"SPR_BURG",
"SPR_POGE",
"SPR_TRGI",
"SPR_RIBN",
"SPR_MILK",
"SPR_MILS",
"SPR_MILC",
"SPR_DNCE",
"SPR_DARK",
"SPR_NOFC",
"SPR_KFLW"
 )
 
local PetsToAdd = {
	//Ember = {										 Name of the Pet, so you have something to pick from the list
		//SpriteSet = SPR_EMBR,				The sprite name for the Pet, just as important as the name is
		//Color = "gold",								If your Pet is colorable, give it a default color!
		//ShadowScale = FRACUNIT/3,		This changes the size of the drop shadow, important!
		//Anims = {									This whole section calls for animations for play during actions. At minimum you NEED an Idle. The rest is optional.
			//Idle = {A, C, 0},						First letter is the first frame, the second letter is the last frame! The number indicates how fast it plays.
			//Jump = {G, H, 2},					This animation plays whenever your character is jumping, falling, or spindashing.
			//Dead = {J, J, 0},						Pet might be sad that you died! Or not idk..
			//Pain = {I, I, 0},							Pet reacts to pain just like the player.
			//Move = {D, F, 0}						Whenever you're walking or running, this will play a move animation.
		//}													This has been my ted talk
	//},													Really this shouldn't be hard I explained it so well.
	
	TRGii = {
		SpriteSet = SPR_TRGI,
		ShadowScale = FRACUNIT/2,
		Color = "orange",
		Anims = {
			Idle = {A, B, 2},
		}
	},
	
	Ribbon = {
		SpriteSet = SPR_RIBN,
		ShadowScale = FRACUNIT/2,
		Color = "rosy",
		Anims = {
			Idle = {A, C, 0},
			Fall = {J, J, 0},
			Jump = {L, L, 0},
			Dead = {G, I, 0},
			Pain = {K, K, 0},
			Move = {D, F, 0}
		}
	},
	
	Milk = {
		SpriteSet = SPR_MILK,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	ChocolateMilk = {
		SpriteSet = SPR_MILC,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	StrawberryMilk = {
		SpriteSet = SPR_MILS,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	DarkMatter = {
		SpriteSet = SPR_DARK,
		ShadowScale = FRACUNIT/3,
		Color = "orange",
		Anims = {
			Idle = {A, D, 3},
		}
	},	
	
	Burger = {
		SpriteSet = SPR_BURG,
		ShadowScale = FRACUNIT/2,
		Color = "orange",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Crawlog = {
		SpriteSet = SPR_POGE,
		ShadowScale = FRACUNIT/2,
		Color = "red",
		Anims = {
			Idle = {A, B, 3},
		}
	},

	Danceon = {
		SpriteSet = SPR_DNCE,
		ShadowScale = FRACUNIT/2,
		Color = "red",
		Anims = {
			Idle = {A, N, 6},
		}
	},
	
	NoFace = {
		SpriteSet = SPR_NOFC,
		ShadowScale = FRACUNIT/2,
		Color = "black",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Kanade = {
		SpriteSet = SPR_KFLW,
		ShadowScale = FRACUNIT/4,
		Color = "aether",
		Anims = {
			Idle = {A, B, 10},
			//Jump = {G, H, 2},
			Dead = {E, F, 5},
			//Pain = {G, H, 1},
			Move = {C, D, 4}
		},
	},
}
if (Pet_AddPet) then
	for petname,petinfo in pairs(PetsToAdd)
		Pet_AddPet(petinfo, petname)
	end
end